# Package org.eclipse.ecf.core.sharedobject.util

Interface Summary
IEnqueueProcessor: Predicate
IQueue: Queue that includes both enqueue (`IQueueEnqueue`) and dequeue (`IQueueDequeue`) operations
IQueueDequeue
IQueueEnqueue: Queue enqueing semantics
ISharedObjectMessageSerializer: Serialize/deserialize shared object messages.
ISimpleFIFOQueue: Simple queue

Class Summary
PropertiesUtil
QueueEnqueueImpl
SimpleFIFOQueue

Exception Summary
QueueException